.calendar {
  max-width: 640px;
  margin: 0 auto;
  background: $back-main;
  font-family: "proximanovacond-regular-webfont", sans-serif;
  position: relative;
  padding-bottom: 28px;

  .ui-datepicker-title {
    text-align: center;
    font-size: 30px;
    color: $calendar-main;
    padding-top: 49px;
    padding-bottom: 61px;

    .ui-datepicker-month{

      &:after {
        content: ',';
      }
    }
  }
  .ui-datepicker-prev {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 54px;
    left: 6px;
    overflow: hidden;
    cursor: pointer;
    @include respond-to(tablet){
      left: 49px;
    }

    &:hover {

      > span {

        &:after {
          border-color: transparent $calendar-main transparent transparent;
        }
      }
    }
    > span {
      text-indent: -5000px;
      position: absolute;
      top: 50%;
      left: 50%;
      margin: -11px 0 0 -5px;
      width: 11px;
      height: 22px;
      
      &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        border-style: solid;
        z-index: 1;
        border-width: 11px 11px 11px 0;
        border-color: transparent $border-light transparent transparent;
      }
      &:before {
        content: '';
        position: absolute;
        z-index: 2;
        top: 0;
        left: 3px;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 11px 11px 11px 0;
        border-color: transparent $back-main transparent transparent;
      }
    }
  }
  .ui-datepicker-next {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 54px;
    right: 6px;
    overflow: hidden;
    cursor: pointer;
    @include respond-to(tablet){
      right: 49px;
    }

    &:hover {

      > span {

        &:after {
          border-color: transparent transparent transparent $calendar-main;
        }
      }
    }

    > span {
      text-indent: -5000px;
      position: absolute;
      top: 50%;
      left: 50%;
      margin: -11px 0 0 -5px;
      width: 11px;
      height: 22px;

      &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 0;
        z-index: 1;
        height: 0;
        border-style: solid;
        border-width: 11px 0 11px 11px;
        border-color: transparent transparent transparent $border-light;
      }
      &:before {
        content: '';
        position: absolute;
        z-index: 2;
        top: 0;
        left: -3px;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 11px 0 11px 11px;
        border-color: transparent transparent transparent $back-main;
      }
    }
  }
  .ui-datepicker-calendar {
    margin: 0 auto;
    font-size: 24px;
    text-align: center;
    width: 92%;

    > thead {
      display: none;
    }
    td {
      vertical-align: middle;
      height: 49px;

      @include respond-to(tablet){
        height: 76px;
      }
    }
    a{
      font-size: 16px;
      position: relative;
      color: $calendar-available;
      font-weight: 400;

      @include respond-to(tablet){
        font-size: 24px;
      }

      &.calendar__unavailable {
        color: $calendar-unavailable;

        &:after {
          content: '';
          position: absolute;
          top: -4px;
          right: -7px;
          width: 6px;
          height: 6px;
          background: $calendar-unavailable;
          border-radius: 50%;
        }
      }
      &.calendar__partly-available {
        color: $calendar-partly-available;
      }
    }
  }
}